PHP verzió beállítás – MultiPHP Manager

 

Amennyiben a weboldalad működéséhez újabb PHP verzióra van szükséged a cPanelen a MultiPHP Manager menüpontban domain nevenként tudod állítani a PHP verziót.

 

Milyen verziók érhetőek el?
Az elérhető PHP verziók, a cPanel frissítéssel kerülnek a rendszerbe, ezért amint van elérhető új stabil PHP verzió, az általában belekerül a cPanel következő frissítésébe is.
Ezáltal elérhető a PHP 5.1 -től a legfrissebb verzió.

 

Fontos!
A tárhelyeken alapbeállításként nem a legfrissebb, legmagasabb verziószámú PHP verzió van beállítva!
Ez azért van így, mert sok weboldal, nem a legújabb PHP verzióra íródott.
Fontos, hogy mindig az Oldaladnak, és a hozzátartozó bővítményeknek megfelelő PHP verziót használd!
Ha nem megfelelő a PHP verzió, az oldalad hibásan fog működni!
A weboldalad leírásában általában megtalálható, hogy milyen verziószámra van szükség.
például: PHP 5.6 - PHP 7, vagy PHP 5.6 - újabb
Ilyen esetben próbáljuk meg az elérhető legmagasabb verziót beállítani, de ügyeljünk arra, hogy a használni kívánt pluginoknak és moduloknak is támogatniuk kell a beállított PHP verziót.

 

 


Miért jó, ha egy weboldal a legfrissebb PHP verziót használja?

Minden PHP verzió váltáskor javul a biztonság és az oldalak gyorsasága is. Összehasonlítva pl. a WordPress betöltődési sebessége legalább harmadával jobb a 7.0-ás PHP verzióval, mint az 5.6-os verzión.
megjegyzés: A sebesség növekedés, csak a PHP kód futtatására vonatkozik, ami egy jól programozott weboldal esetében átlagosan pár tized másodperces időt jelent. Szóval senki ne számítson arra,hogy újabb PHP verzióra váltással 3x gyorsabban töltődik be a teljes weboldala.

A weboldal sebességét, nagyon sok minden befolyásolja,: programozás, tartalom mennyisége, képek száma, mérete, külső tartalmakra várakozás, stb...



Mint fentebb írtuk, a weboldalnak kompatibilisnek kell lennie a használt PHP verzióval, hiába jobb az újabb PHP verzió, ha weboldalunk régi típusú függvényeket használ. Az újabb PHP verzió erőltetésével csak azt érjük el, hogy weboldalunk egésze, vagy bizonyos funkciói, hibásan vagy egyáltalán nem fognak működni.

Amennyiben a használt programból van újabb verzió, próbáljuk meg frissíteni a weboldalt és a modulokat. (Fontos, hogy a frissítést a régi PHP verzión indítsuk el!)

 

PHP verzió beállítása a cPanelen

Lépj be a cPanelre, majd válaszd a Szoftver->MultiPHP Manager menüpontot



1: Ezután, válaszd ki a domain neve(ket) amelyeknél a PHP verziót meg szeretnéd változtatni.
A neve előtti jelölő négyzetet pipáld ki.




2: Válaszd ki a PHP verziót. Majd kattints az Alkalmaz gombra.
A szerver alapértelmezett PHP verziójára úgy tudod visszaállítani a domaint, ha a listából az “Inherit”-et választod ki.

 



 

A MultiPHP Manager a beállított domain könyvtárjában létrehoz egy .htaccess fájlt (vagy ha már létezik beleír), az alábbi sorokat adja hozzá a beállításnak megfelelően:



  • 2 A felhasználók hasznosnak találták ezt
Hasznosnak találta ezt a választ?

Kapcsolódó cikkek

Weboldal költöztetés régi WebDigitalos tárhelyről, az új cPaneles tárhelyre.

    Figyelem az átállás a régi szerverről, az újra nem automatikus, kérjük olvassa el ezt a...

E-mail fiókok létrehozása és kezelése

Ahhoz hogy email címet (fiókot) létre tudjunk hozni, először is rendelkeznünk kell egy domain...

Átállás régi WebDigitalos tárhelyről, az új cPaneles tárhelyre.

Mi lesz a régi ügyfelekkel, automatikus lesz az átállás az új szerverre?Sajnos nem!Sokáig, azt...

Kiegészítő és Parkolt domain név felvétele

Mi a különbség a Kiegészítő domain név (Addon Domains) és a Parkolt domain név (Parked...

MySQL®-adatbázisok

A cPanel -> ADATBÁZISOK -> MySQL®-adatbázisok menüpontban új adatbázist tudsz létrehozni,...